Index: .gitignore
===================================================================
--- .gitignore	(revision 2a55a6f2f24f911b7394865b206431a89f96ead0)
+++ .gitignore	(revision 8ae853293022b5081a1e1a8c26f74eaa2b3f8a13)
@@ -11,5 +11,5 @@
 /doc/api/
 /doc/model/
-/doc/ref/models
+/doc/guide/models
 .mplconfig
 /pylint_violations.txt
Index: doc/conf.py
===================================================================
--- doc/conf.py	(revision 40a87fa5096610e24c3ead10299f609e99f093f2)
+++ doc/conf.py	(revision 8ae853293022b5081a1e1a8c26f74eaa2b3f8a13)
@@ -42,4 +42,7 @@
              ]
 
+# Redirect mathjax to a different CDN
+mathjax_path = "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-MML-AM_CHTML"
+
 # Add any paths that contain templates here, relative to this directory.
 templates_path = ['_templates']
Index: example/cylinder_eval.py
===================================================================
--- example/cylinder_eval.py	(revision 2e66ef55022b7fe939fdb5874c2c919d97e01b2c)
+++ example/cylinder_eval.py	(revision 2e66ef55022b7fe939fdb5874c2c919d97e01b2c)
@@ -0,0 +1,18 @@
+"""
+Minimal example of calling a kernel for a specific set of q values.
+"""
+
+from numpy import logspace
+from matplotlib import pyplot as plt
+from sasmodels.core import load_model
+from sasmodels.direct_model import call_kernel
+
+model = load_model('cylinder')
+q = logspace(-3, -1, 200)
+kernel = model.make_kernel([q])
+Iq = call_kernel(kernel, dict(radius=200.))
+plt.loglog(q, Iq)
+plt.xlabel('q (1/A)')
+plt.ylabel('I(q)')
+plt.title('Cylinder with radius 200.')
+plt.show()
Index: example/model.py
===================================================================
--- example/model.py	(revision 1182da5952c5f1fedd003e65e6b154df780d0afb)
+++ example/model.py	(revision 2e66ef55022b7fe939fdb5874c2c919d97e01b2c)
@@ -17,17 +17,17 @@
 model = Model(kernel,
     scale=0.08,
-    r_polar=15, r_equatorial=800,
+    radius_polar=15, radius_equatorial=800,
     sld=.291, sld_solvent=7.105,
     background=0,
     theta=90, phi=0,
     theta_pd=15, theta_pd_n=40, theta_pd_nsigma=3,
-    r_polar_pd=0.222296, r_polar_pd_n=1, r_polar_pd_nsigma=0,
-    r_equatorial_pd=.000128, r_equatorial_pd_n=1, r_equatorial_pd_nsigma=0,
+    radius_polar_pd=0.222296, radius_polar_pd_n=1, radius_polar_pd_nsigma=0,
+    radius_equatorial_pd=.000128, radius_equatorial_pd_n=1, radius_equatorial_pd_nsigma=0,
     phi_pd=0, phi_pd_n=20, phi_pd_nsigma=3,
     )
 
 # SET THE FITTING PARAMETERS
-model.r_polar.range(15, 1000)
-model.r_equatorial.range(15, 1000)
+model.radius_polar.range(15, 1000)
+model.radius_equatorial.range(15, 1000)
 model.theta_pd.range(0, 360)
 model.background.range(0,1000)
Index: sasmodels/core.py
===================================================================
--- sasmodels/core.py	(revision 650c6d2665bcebbe07614117e6b9841191a18ea2)
+++ sasmodels/core.py	(revision 2e66ef55022b7fe939fdb5874c2c919d97e01b2c)
@@ -117,6 +117,8 @@
     Load model info and build model.
 
-    *model_name* is the name of the model as used by :func:`load_model_info`.
-    Additional keyword arguments are passed directly to :func:`build_model`.
+    *model_name* is the name of the model, or perhaps a model expression
+    such as sphere*hardsphere or sphere+cylinder.
+
+    *dtype* and *platform* are given by :func:`build_model`.
     """
     return build_model(load_model_info(model_name),
@@ -128,4 +130,7 @@
     """
     Load a model definition given the model name.
+
+    *model_name* is the name of the model, or perhaps a model expression
+    such as sphere*hardsphere or sphere+cylinder.
 
     This returns a handle to the module defining the model.  This can be
@@ -227,6 +232,17 @@
 
     Possible types include 'half', 'single', 'double' and 'quad'.  If the
-    type is 'fast', then this is equivalent to dtype 'single' with the
-    fast flag set to True.
+    type is 'fast', then this is equivalent to dtype 'single' but using
+    fast native functions rather than those with the precision level guaranteed
+    by the OpenCL standard.
+
+    Platform preference can be specfied ("ocl" vs "dll"), with the default
+    being OpenCL if it is availabe.  If the dtype name ends with '!' then
+    platform is forced to be DLL rather than OpenCL.
+
+    This routine ignores the preferences within the model definition.  This
+    is by design.  It allows us to test models in single precision even when
+    we have flagged them as requiring double precision so we can easily check
+    the performance on different platforms without having to change the model
+    definition.
     """
     # Assign default platform, overriding ocl with dll if OpenCL is unavailable
Index: sasmodels/resolution.py
===================================================================
--- sasmodels/resolution.py	(revision b32caaba897db3d9a33220584b9dca61f82df589)
+++ sasmodels/resolution.py	(revision 990d8dfe5ac399564bc0bb3b873c5a1b56d4e573)
@@ -437,5 +437,5 @@
     .. math::
 
-         \log \Delta q = (\log q_n - log q_1) / (n - 1)
+         \log \Delta q = (\log q_n - \log q_1) / (n - 1)
 
     From this we can compute the number of steps required to extend $q$
@@ -451,5 +451,5 @@
 
          n_\text{extend} = (n-1) (\log q_\text{max} - \log q_n)
-            / (\log q_n - log q_1)
+            / (\log q_n - \log q_1)
     """
     q = np.sort(q)
@@ -459,5 +459,6 @@
         log_delta_q = log(10.) / points_per_decade
     if q_min < q[0]:
-        if q_min < 0: q_min = q[0]*MINIMUM_ABSOLUTE_Q
+        if q_min < 0:
+            q_min = q[0]*MINIMUM_ABSOLUTE_Q
         n_low = log_delta_q * (log(q[0])-log(q_min))
         q_low = np.logspace(log10(q_min), log10(q[0]), np.ceil(n_low)+1)[:-1]
Index: sasmodels/rst2html.py
===================================================================
--- sasmodels/rst2html.py	(revision f2f54137cf0be59060fcf77f0a416d0fce0de7ac)
+++ sasmodels/rst2html.py	(revision 990d8dfe5ac399564bc0bb3b873c5a1b56d4e573)
@@ -38,5 +38,5 @@
     - mathml
     - mathjax
-    See `http://docutils.sourceforge.net/docs/user/config.html#math-output`_
+    See `<http://docutils.sourceforge.net/docs/user/config.html#math-output>`_
     for details.
 
@@ -211,7 +211,27 @@
     sys.exit(app.exec_())
 
+def can_use_qt():
+    """
+    Return True if QWebView exists.
+
+    Checks first in PyQt5 then in PyQt4
+    """
+    try:
+        from PyQt5.QtWebKitWidgets import QWebView
+        return True
+    except ImportError:
+        try:
+            from PyQt4.QtWebkit import QWebView
+            return True
+        except ImportError:
+            return False
+
 def view_help(filename, qt=False):
     import os
-    url="file:///"+os.path.abspath(filename).replace("\\","/")
+
+    if qt:
+        qt = can_use_qt()
+
+    url = "file:///"+os.path.abspath(filename).replace("\\", "/")
     if filename.endswith('.rst'):
         html = load_rst_as_html(filename)
